javax.xml.transform.stax

## Class StAXSource

- java.lang.Object
- - javax.xml.transform.stax.StAXSource

All Implemented Interfaces:
  Source

    public class StAXSource
    extends java.lang.Object
    implements Source

### Field Summary

Fields
`static java.lang.String` `FEATURE`

### Constructor Summary

Constructors
Constructor and Description
`StAXSource(XMLEventReader xmlEventReader)`
`StAXSource(XMLStreamReader xmlStreamReader)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getSystemId()` Get the system identifier that was set with setSystemId.
`XMLEventReader` `getXMLEventReader()`
`XMLStreamReader` `getXMLStreamReader()`
`void` `setSystemId(java.lang.String systemId)` Set the system identifier for this Source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FEATURE

    public static final java.lang.String FEATURE

See Also:
  Constant Field Values

### Constructor Detail

#### StAXSource

    public StAXSource(XMLStreamReader xmlStreamReader)

#### StAXSource

    public StAXSource(XMLEventReader xmlEventReader)
               throws XMLStreamException

Throws:
  `XMLStreamException`

### Method Detail

#### getXMLStreamReader

    public XMLStreamReader getXMLStreamReader()

#### getXMLEventReader

    public XMLEventReader getXMLEventReader()

#### getSystemId

    public java.lang.String getSystemId()

Description copied from interface: `Source`
Get the system identifier that was set with setSystemId.

Specified by:
  `getSystemId` in interface `Source`
Returns:
  The system identifier that was set with setSystemId, or null if setSystemId was not called.

#### setSystemId

    public void setSystemId(java.lang.String systemId)

Description copied from interface: `Source`
Set the system identifier for this Source.

The system identifier is optional if the source does not get its data from a URL, but it may still be useful to provide one. The application can use a system identifier, for example, to resolve relative URIs and to include in error messages and warnings.

Specified by:
  `setSystemId` in interface `Source`
Parameters:
  `systemId` - The system identifier as a URL string.